WhatsApp Business

Get a conversation

v92 (beta): chat, messages (oldest to newest; id, direction in · out, type, text, has_media, media_name, template, status — pending · sent · delivered · read · failed · received, status_label, error, at, by), more, templates (templates approved at Meta: name, category, language, variables, body). The first page resets the unread count.

GET/api/v1/whatsapp/chats/{id}

Authorization

Authorizationheaderrequired
Bearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Module: CustomersScope: crm.read

Path parameters

idintegerrequired
Conversation id.

Query parameters

beforeintegeroptional
Messages older than this message id.
limitintegeroptionaldefault: 50
Messages (1–200).

Errors

HTTPerrorMeaning
403moduleThe module is off in the licence or for the user.
404not_foundRecord not found.
Request
curl https://ornek.solk.app/api/v1/whatsapp/chats/{id} \
  -H "Authorization: Bearer $SOLK_API_KEY"
Response